Error in the policy server management console when trying to update the admin password.

Document ID : KB000053437
Last Modified Date : 14/02/2018
Show Technical Document Details

Description

From SM management console updating Admin password gives the following errors:

  • The Event Handler list should be set to "XPSAudit".
  • Please use XPSConfig to specify additional event handler libraries.

Solution

This error message will come if XPSAudit.dll is not configured as Event Handler. This can only happen if 5.x or 6.x policy server which has event handler libraries already configured is upgraded to r12. In this case after the upgrade you will have to manually add the XPSAudit event handler library in the Advanced tab of Policy Server Management console.
Please follow the following steps:

  • Open the Policy Server Management Console and click the Advanced Tab.
  • In the Event Handlers field, replace the path to the current event handler library with the path to the XPSAudit event handler library.
    Note: The default location of the XPSAudit event handler library is,
    policy_server_home\bin.        policy_server_home;
    Specifies the Policy Server installation path.
  • Click Apply.
    The path to the event handler library is saved. The Event Handlers field appears disabled.
    Note: By default, the only event handler library that appears in the Advanced tab is XPSAudit.dll.
  • Use the XPSConfig utility to set additional event handler libraries, previously used or otherwise, to the XPSAudit list.
    Note: More information on using the XPSConfig utility to set event handler libraries exists in the Policy Server Administration Guide.